export function isIdentifiedHighlightElement( node ) {
	return node.is( 'attributeElement' ) && !!node.getCustomProperty( 'identifiedHighlight' );
}

export function createIdentifiedHighlightElement( options, writer ) {
	const highlightId = options.createId();
	const identifiedHighlightElement = writer.createAttributeElement( 'mark', {
		classes: 'mark',
		id: highlightId
	}, { priority: 5 } );
	writer.setCustomProperty( 'identifiedHighlight', highlightId, identifiedHighlightElement );

	return identifiedHighlightElement;
}
